export function cardType(index, card) {
  let type = index
  switch (card.status) {
    case 1:
      type = 4
      break
    case 2:
      type = 5
      break
  }
  return type
}

export function navigateTo(url, query) {
  console.log('进入页面跳转事件')
  if (query && Object.keys(query).length != 0) {
    url += '?'
    for (let i in query) {
      url += i
      url += '='
      url += query[i]
      url += '&'
    }
  }
  console.log(url, 'url')
  wx.navigateTo({
    url: url,
  })
}

export function redirectTo(url, query) {
  console.log('进入页面跳转事件')
  if (query && Object.keys(query).length != 0) {
    url += '?'
    for (let i in query) {
      url += i
      url += '='
      url += query[i]
      url += '&'
    }
  }
  console.log(url, 'url')
  wx.redirectTo({
    url: url,
  })
}
// 回显数据字典
export function selectDictLabel(datas, value) {
  var actions = []
  Object.keys(datas).some(key => {
    if (datas[key].value == '' + value) {
      actions.push(datas[key].label)
      return true
    }
  })
  return actions.join('')
}

// 时间戳转时分秒
export const formatSeconds = value => {
  if (value === 0 || value < 1000) return '00:00:00'
  var timestamp = parseInt(value) / 1000 // 毫秒转秒
  // 小时取余数
  const remainder = timestamp % 3600
  // 时、分、秒
  let hour, minute, second
  if (remainder === 0) {
    // 整除 小时
    hour = parseInt(timestamp / 3600)
  } else {
    hour = parseInt(timestamp / 3600)
    let remainderMinute = remainder % 60
    if (remainderMinute === 0) {
      // 整除 分钟
      minute = parseInt(remainder / 60)
    } else {
      minute = parseInt(remainder / 60)
      second = parseInt(remainderMinute)
    }
  }
  let text = ''
  if (hour > 0) {
    if (hour < 10) {
      text += '0'
    }
    text += hour + ':'
  } else {
    text += '00' + ':'
  }
  if (minute > 0) {
    if (minute < 10) {
      text += '0'
    }
    text += minute + ':'
  } else {
    text += '00' + ':'
  }
  if (second > 0) {
    if (second < 10) {
      text += '0'
    }
    text += second
  } else {
    text += '00'
  }
  return text
}

//打开下载文件弹窗
export function toDloadFilePopup(url) {
  wx.showModal({
    title: '是否复制福袋详情下载地址？',
    content:
      '为保证抽赏公正，可提前下载福袋详情。福袋详情包含此抽赏奖品对应号码，在此抽赏结束后，公布解压密码。确认后可以前往浏览器打开地址。',
    success(res) {
      if (res.confirm) {
        console.log('fffffffffff')
        wx.setClipboardData({
          //设置系统剪贴板的内容
          data: url,
          success(res) {
            console.log(res, url)
            wx.getClipboardData({
              // 获取系统剪贴板的内容
              success(res) {
                wx.showModal({
                  title: '复制成功。',
                  content: '文件地址已复制到剪贴板，请到浏览器打开下载。',
                })
              },
            })
          },
        })
      } else if (res.cancel) {
        console.log('用户点击取消')
      }
    },
  })
}

// 微信小程序下载文件

export function downloadFile(url, callback) {
  console.log(url, 'url')
  var fileName = url.substring(url.lastIndexOf('/') + 1, url.length)
  var fileType = url.substring(url.lastIndexOf('.') + 1, url.length)
  console.log(fileName, 'fileName')
  console.log(fileType, 'fileType')
  wx.downloadFile({
    url: url,
    // 1. 必须带有这个wx.env.USER_DATA_PATH，表示存储在用户本地 ！！！
    // fileName表示自定的文件名称
    // 实际在PC端调试存储位置为类似 C:\Users\SJshe\AppData\Local\微信开发者工具\User Data\WeappFileSystem\o6zAJs3c0u3SeBVn_9MUgG6UZJ1M\wx2efdf4edd8bccb88
    filePath: wx.env.USER_DATA_PATH + '/' + fileName,
    success: function (res) {
      console.log(res, 'ressssssssssssssssssssssssssss')
      if (res.statusCode === 200) {
        // wx.showModal({
        // 	title: '文件下载成功。',
        // 	content: '送送送送送送送送',
        // })
        unzip(res.filePath)
      }
    },
    fail: function (e) {
      // 强烈建议打印失败原因，便于排查
      console.log(e.errMsg, '报错')
    },
  })
}
const fs = wx.getFileSystemManager()
const unzip = filePath => {
  fs.unzip({
    zipFilePath: filePath,
    targetPath: wx.env.USER_DATA_PATH + `/chaomi`,
    success: () => {
      wx.showModal({
        title: '文件下载成功。',
        content: '文件已下载到本地',
      })
      // readdir()
    },
    fail: function (e) {
      // 强烈建议打印失败原因，便于排查
      console.log(e, '报错2')
    },
  })
}
